{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}

{literal}
<script>
$(document).ready(function(){

  $("input[name=category_type]").click(function () {
    $("[id^=category_type_]").hide();
    $("#category_type_"+$(this).attr("value")).show();
  });

});
</script>
{/literal}

<script type="text/javascript" src="{$plugin_path}/include/upload.js"></script>

{literal}
<style>
#uploadBoxes P {
  margin:0;
  margin-bottom:2px;
  padding:0;
}
</style>
{/literal}

<div class="titrePage">
  <h2>{'Upload Form'|@translate}</h2>
</div>

{if count($setup_errors) > 0}
<div class="errors">
  <ul>
  {foreach from=$setup_errors item=error}
    <li>{$error}</li>
  {/foreach}
  </ul>
</div>
{else}
<form enctype="multipart/form-data" method="post" action="{$F_ACTION}" class="properties">
  <fieldset>
    <legend>{'Upload Photos'|@translate}</legend>

    <table>
      <tr>
        <td>{'Drop into category'|@translate}</td>
        <td>
          <label><input type="radio" name="category_type" value="existing" checked="checked"> {'existing category'|@translate}</label>
          <label><input type="radio" name="category_type" value="new"> {'create a new category'|@translate}</label>

          <div id="category_type_existing">
            <select class="categoryDropDown" name="category">
              {html_options options=$category_options}
            </select>
          </div>

          <div id="category_type_new" style="display:none">
            <table>
              <tr>
                <td>{'Parent category'|@translate}</td>
                <td>
                  <select class="categoryDropDown" name="category_parent">
                    <option value="0">------------</option>
                    {html_options options=$category_options}
                  </select>
                </td>
              </tr>
              <tr>
                <td>{'Category name'|@translate}</td>
                <td>
                  <input type="text" name="category_name" value="{$F_CATEGORY_NAME}"
                </td>
              </tr>
            </table>
          </div>

        </td>
      </tr>

      <tr>
        <td colspan="2">
          <div id="uploadBoxes">
            <p><input class="file" type="file" size="70" name="image_upload[]" /></p>
          </div>
          <div id="addUploadBox">
            <a href="javascript: UpdateUploadSlots()">{'+ Add an upload box'|@translate}</a>
          </div>
        </td>
      </tr>
      
    </table>
    
    <p>
      <input class="submit" type="submit" name="submit_upload" value="{'Upload'|@translate}" {$TAG_INPUT_ENABLED}/>
    </p>
  </fieldset>
</form>
{/if}